%define major	9
%define libname lib%{name}%{major}

Summary:	Tools for manipulating graphics files in netpbm supported formats
Name:		netpbm
Version:	9.10
Release:	6mdk
License:	GPL
Group:		Graphics

#Source0:	ftp://download.sourceforge.net/pub/sourceforge/netpbm/%{name}-%{version}.tar.bz2
Source0:	netpbm-free_9.10.orig.tar.gz
# stolen from debian, due ti license pb
Patch0:		netpbm-make.patch.bz2
Patch1:		netpbm-csh.patch.bz2 
# removes csh script by sh script
# also includes some tempfile fix
Patch2:		netpbm-shhopt.patch.bz2 

BuildRequires:	libjpeg-devel libpng-devel libtiff-devel perl zlib-devel
Buildroot:	%{_tmppath}/%{name}-%{version}-root-%(id -u -n)
Requires:	%{libname} = %version-%release
Obsoletes:	libgr-progs, libgr1-progs
Provides:	libgr-progs, libgr1-progs


%description
The netpbm package contains a library of functions which support
programs for handling various graphics file formats, including .pbm
(portable bitmaps), .pgm (portable graymaps), .pnm (portable anymaps),
.ppm (portable pixmaps) and others.

%package	-n %{libname}
Summary:        A library for handling different graphics file formats
Group:          System/Libraries
Provides:	lib%name
Provides:	libgr, libgr1, libnetpbm1
Obsoletes:      libgr, libgr1, libnetpbm1

%description 	-n %{libname}
The netpbm package contains a library of functions which support
programs for handling various graphics file formats, including .pbm
(portable bitmaps), .pgm (portable graymaps), .pnm (portable anymaps),
.ppm (portable pixmaps) and others.

%package 	-n %{libname}-devel
Summary:	Development tools for programs which will use the netpbm libraries
Group:		Development/C
Requires:	%{libname} = %version-%release
Provides:	lib%{name}-devel
Obsoletes:	libgr-devel, libgr1-devel, libnetpbm1-devel
Provides:	libgr-devel, libgr1-devel, libnetpbm1-devel

%description 	-n %{libname}-devel
The netpbm-devel package contains the header files and programmer's
documentation for developing programs which can handle the various
graphics file formats supported by the netpbm libraries.

Install netpbm-devel if you want to develop programs for handling the
graphics file formats supported by the netpbm libraries. You'll also
need to have the netpbm package installed.


%prep
%setup -q -n netpbm-9.10-free
%patch0 -p1 -b .make
%patch1 -p1 -b .csh
%patch2 -p1 -b .shhopt

%build
# First build the static debug libraries
mkdir -p netpbm
cp  shhopt/shhopt.h shhopt/netpbm-shhopt.h # netpbm includes a modified version of l
rm -f shhopt/shhopt.o
rm -f pbm/libpbm1.o pbm/libpbm2.o pbm/libpbm3.o pbm/libpbm4.o \
      pbm/libpbm5.o
rm -f pgm/libpgm1.o pgm/libpgm2.o
rm -f pnm/libpnm1.o pnm/libpnm2.o pnm/libpnm3.o pnm/libpnm4.o
rm -f ppm/libppm1.o ppm/libppm2.o ppm/libppm3.o ppm/libppm4.o \
         ppm/libppm5.o ppm/bitio.o

make -C shhopt CFLAGS="$RPM_OPT_FLAGS -fPIC" shhopt.o
make -C pbm CFLAGS="$RPM_OPT_FLAGS -fPIC" libpbm1.o libpbm2.o libpbm3.o libpbm4.o \
         libpbm5.o
make -C pgm CFLAGS="$RPM_OPT_FLAGS -fPIC" libpgm1.o libpgm2.o
make -C pnm CFLAGS="$RPM_OPT_FLAGS -fPIC" libpnm1.o libpnm2.o libpnm3.o libpnm4.o
make -C ppm CFLAGS="$RPM_OPT_FLAGS -fPIC" libppm1.o libppm2.o libppm3.o libppm4.o \
          libppm5.o bitio.o

rm -f netpbm/*.a

ar cq netpbm/libnetpbm.a                                                        \
         pbm/libpbm1.o pbm/libpbm2.o pbm/libpbm3.o       \
         pbm/libpbm4.o pbm/libpbm5.o shhopt/shhopt.o
ranlib netpbm/libnetpbm.a

ar cq netpbm/libnetpgm.a \
         pgm/libpgm1.o pgm/libpgm2.o shhopt/shhopt.o
ranlib netpbm/libnetpgm.a

ar cq netpbm/libnetpnm.a                                                                        \
         pnm/libpnm1.o pnm/libpnm2.o pnm/libpnm3.o pnm/libpnm4.o \
         shhopt/shhopt.o
ranlib netpbm/libnetpnm.a

ar cq netpbm/libnetppm.a                                                                        \
         ppm/libppm1.o ppm/libppm2.o ppm/libppm3.o ppm/libppm4.o \
         ppm/libppm5.o ppm/bitio.o shhopt/shhopt.o
ranlib netpbm/libnetppm.a

# then the pseudo standart way..
#
%{__make} \
	CC=%{__cc} \
	CFLAGS="$RPM_OPT_FLAGS -fPIC" \
	JPEGINC_DIR=%{_includedir} \
	PNGINC_DIR=%{_includedir} \
	TIFFINC_DIR=%{_includedir} \
	JPEGLIB_DIR=%{_libdir} \
	PNGLIB_DIR=%{_libdir} \
	TIFFLIB_DIR=%{_libdir} << EOF
1
/usr
shared
EOF

/sbin/ldconfig -n $RPM_BUILD_ROOT%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT
PATH="`pwd`:${PATH}" make install \
	JPEGINC_DIR=$RPM_BUILD_ROOT%{_includedir} \
	PNGINC_DIR=$RPM_BUILD_ROOT%{_includedir} \
	TIFFINC_DIR=$RPM_BUILD_ROOT%{_includedir} \
	JPEGLIB_DIR=%{_libdir} \
	PNGLIB_DIR=%{_libdir} \
	TIFFLIB_DIR=%{_libdir} \
	INSTALL_PREFIX=$RPM_BUILD_ROOT%{_prefix} \
	INSTALLBINARIES=$RPM_BUILD_ROOT%{_bindir} \
	INSTALLHDRS=$RPM_BUILD_ROOT%{_includedir} \
	INSTALLLIBS=$RPM_BUILD_ROOT%{_libdir} \
	INSTALLMANUALS1=$RPM_BUILD_ROOT%{_mandir}/man1 \
	INSTALLMANUALS3=$RPM_BUILD_ROOT%{_mandir}/man3 \
	INSTALLMANUALS5=$RPM_BUILD_ROOT%{_mandir}/man5

# Install header files.
install -d $RPM_BUILD_ROOT%{_includedir}
install pbm/pbm.h $RPM_BUILD_ROOT/%{_includedir}
install pbmplus.h $RPM_BUILD_ROOT/%{_includedir} 		# include by pbm.h
install shhopt/netpbm-shhopt.h $RPM_BUILD_ROOT/%{_includedir}	# include by pbmplus.h
install pgm/pgm.h $RPM_BUILD_ROOT/%{_includedir}
install pnm/pnm.h $RPM_BUILD_ROOT/%{_includedir}
install ppm/ppm.h $RPM_BUILD_ROOT/%{_includedir}
install ppm/ppmcmap.h $RPM_BUILD_ROOT/%{_includedir}
install ppm/ppmdraw.h $RPM_BUILD_ROOT/%{_includedir}

# Install the static-only *.a
install urt/{rle,rle_config}.h $RPM_BUILD_ROOT/%{_includedir}/
install urt/librle.a $RPM_BUILD_ROOT%{_libdir}/
install netpbm/*.a $RPM_BUILD_ROOT%{_libdir}/

# Fixup symlinks.
ln -sf gemtopnm $RPM_BUILD_ROOT%{_bindir}/gemtopbm
ln -sf pnmtoplainpnm $RPM_BUILD_ROOT%{_bindir}/pnmnoraw

# Fixup perl paths in the two scripts that require it.
# better to be handled here than a patch (rpm macros)
perl -pi -e 's^/bin/perl^%{__perl}^' \
	$RPM_BUILD_ROOT%{_bindir}/{ppmfade,ppmshadow}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files 	-n %{libname}
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*
%doc COPYRIGHT.PATENT GPL_LICENSE.txt HISTORY README 

%files 	-n %{libname}-devel
%defattr(644,root,root,755)
%doc README.CONFOCAL COPYRIGHT.PATENT Netpbm.programming
%{_includedir}/*.h
%attr(755,root,root) %{_libdir}/lib*.so
%{_mandir}/man3/*
%{_libdir}/*.a

%files
%defattr(644,root,root,755)
%doc COPYRIGHT.PATENT
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man[15]/*

%changelog
* Sat Sep 09 2001 David BAUDENS <baudens@mandrakesoft.com> 9.10-6mdk
- Fix %%major number
- Requires %%version-%%release and not only %%version
- Fix %%doc

* Mon Aug 27 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 9.10-5mdk
- Explicitly use /sbin/ldconfig

* Wed Aug 08 2001 Yves Duret <yduret@mandrakesoft.com> 9.10-4mdk
- added a builrequires to zlib-devel (Buchan Milne <bgmilne@cae.co.za>)
- corrected the 4 no-ldconfig-symlink errors (thx titi)

* Fri Jul 27 2001 Frederic Lepied <flepied@mandrakesoft.com> 9.10-3mdk
- added missing obsoletes on libgr1-progs

* Fri Jul 27 2001 Yves Duret <yduret@mandrakesoft.com> 9.10-2mdk
- added patch2 to fix bad include netpbm-shhopt.h
- added provides libgr

* Tue Jul 24 2001 Yves Duret <yduret@mandrakesoft.com> 9.10-1mdk
- first MandrakeSoft package (stolen from d3bi4n and PLD)
    Obsoletes libgr libgr-progs libgr-devel
